Page MenuHomePhabricator

[libomptarget-nvptx] Remove dead functions
ClosedPublic

Authored by Hahnfeld on Sep 30 2018, 2:48 AM.

Details

Summary

These entry points are never called by Clang trunk nor clang-ykt. If
XL doesn't use them either, they can finally go away.

Diff Detail

Repository
rL LLVM

Event Timeline

Hahnfeld created this revision.Sep 30 2018, 2:48 AM
gtbercea accepted this revision.Nov 27 2018, 11:04 AM

LGTM since neither Clang nor clang-ykt use these functions.

I'd wait for someone from the XL team to confirm XL doesn't need them either.

Thanks!

This revision is now accepted and ready to land.Nov 27 2018, 11:04 AM

The XL compilers do not use these routines. Thanks.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 11 2019, 1:12 PM